Subject: [OSPF] Clarification needed on R-bit in OSPFv3

From: BalajiGanesh 71128 <[email-masked]>
Date: Thu, 28 Jan 2010 18:03:48 +0500

Hi all, 

I am looking for a clarification regarding the R-bit usage during SPF calculation.
In the OSPFv3 RFC 5340, Section 4.8.1.  Calculating the Shortest-Path Tree for an Area, Page 46,
the step 2b states that 

   o  In Step 2b, if W is a router and the router-LSA V6-bit or R-bit is
      not set in the LSA options, the transit link W is ignored and V's
      next link is examined.

This sentence is not clear. 
As per my understanding, here the router-LSA should refer to the Vertex V's router LSA. So when we consider the vertex V's link's, if the next vertex W is a router vertex, then we should ignore the link to Vertex W and consider
next link of Vertex V. Also if the vertex V's link points to a network node, those links should be considered. 

Is this understanding correct?

regards,
Balaji

******************************************************************************************
 This email and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained here in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this email in error, please notify the sender by phone or email immediately and delete it!
 *****************************************************************************************

---

From: Acee Lindem <[email-masked]>
Date: Thu, 28 Jan 2010 08:45:35 -0500

Hi Balaji,
See inline. 

> This sentence is not clear.

It is perfectly clear in the context of Step 2b in section 16.1 of RFC 2328. The only thing I might change is replace "transit link W" with "transit link to W". However, it is clear without this edit. 

> 
> As per my understanding, here the router-LSA should refer to the Vertex V's router LSA.

No! It says "if W is a router and the router-LSA.." It is obvious that this is W's router-LSA. 

> So when we consider the vertex V's link's, if the next vertex W is a router vertex, then we should ignore the link to Vertex W and consider
> next link of Vertex V.

Yes. 

> Also if the vertex V's link points to a network node, those links should be considered. 

The bullet in question only pertains to router vertices. 

Hope this helps,
Acee 

> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: BalajiGanesh 71128 <[email-masked]>
Date: Fri, 29 Jan 2010 17:03:01 +0500

Hi Acee,

>From RFC 2328 it means that in section 16.1, 2b, it is W's router LSA.
But from RFC 5340 Section 4.8.1, 2b, if we consider the same, would that not
mean that vertex W is completely ignored from topology? 

That is if we consider the below topology, according to R-bit definition,
RT2 will have its R-bit as 0, so that it does not participate in transit traffic.
Now when vertex RT1 is added to topology and we are considering the next vertex of RT1, ie RT2, then it will mean that RT2 is ignored as per section 4.8.1, 2b of RFC 5340. So RT2 will not be added to the topology.

    RT1      RT3 
     |     |
     |    |
     |   |
     |  |
     RT2

So should it be that from RFC 5340, section 4.8.1, 

   o  In Step 2b, if W is a router, there may again be multiple LSAs
      associated with the router.  All router-LSAs with the Advertising
      Router set to W's OSPF Router ID MUST be processed as an
      aggregate, treating them as fragments of a single large router-
      LSA.

   First point of step 2b is Vertex V's router LSA and in 
   the second point we consider Vertex W's router LSA (ie RT2 is vertex V).
   This will mean that Router RT2 is added to the topology but no other 
   router links from RT2.

regards,
Balaji

----- Original Message -----
From: Acee Lindem <[email-masked]>
Date: Thursday, January 28, 2010 7:16 pm
Subject: Re: [OSPF] Clarification needed on R-bit in OSPFv3
To: BalajiGanesh 71128 <[email-masked]>
Cc: [email-masked]

> It is perfectly clear in the context of Step 2b in section 16.1 of 
> RFC 2328. The only thing I might change is replace "transit link 
> W" with "transit link to W". However, it is clear without this 
> edit. 
> 
> 
> > 
> > So when we consider the vertex V's link's, if the next vertex W 
> is a router vertex, then we should ignore the link to Vertex W and 
> consider> next link of Vertex V.
> 
> Yes. 
> 
> ******************************************************************************************> This email and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained here in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this email in error, please notify the sender by phone or email immediately and delete it!
> > 
> *****************************************************************************************> _______________________________________________
> > OSPF mailing list
> > [email-masked]

---

From: Acee Lindem <[email-masked]>
Date: Fri, 29 Jan 2010 20:10:08 -0500

Hi Balaji,
Okay - I now see what you are saying and agree that the bullet is wrong. I believe it is step 2 rather than step 2 (b) that needs to be modified to take the V-bit and R-bit into consideration. The way it reads now, vertex W will not be added to the SPF tree and W will be unreachable. I'll need to write an errata. 
Thanks,
Acee